## org.eclipse.jst.jsf.designtime.context
Class DefaultDTExternalContextFactory

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.AbstractDTExternalContextFactory
          org.eclipse.jst.jsf.designtime.context.DefaultDTExternalContextFactory

    public class DefaultDTExternalContextFactory

extends AbstractDTExternalContextFactory

Creates external contexts for JSPs Clients may sub-class

Constructor Summary
`DefaultDTExternalContextFactory()`

Method Summary
`IDTExternalContext` `create(IAdaptable containerContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTExternalContextFactory

    public DefaultDTExternalContextFactory()

Method Detail

### create

    public IDTExternalContext create(IAdaptable containerContext)

  Specified by:
    `create` in class `AbstractDTExternalContextFactory`
  Parameters:
    `containerContext` - -- must be adaptable to an IFile of content type JSP
  Returns:
    a new DT external context